org.apache.solr.search.grouping.distributed.command

## Class TopGroupsFieldCommand

- java.lang.Object
- - org.apache.solr.search.grouping.distributed.command.TopGroupsFieldCommand

- All Implemented Interfaces:
    Command<TopGroups<BytesRef>>

      public class TopGroupsFieldCommand
      extends Object
      implements Command<TopGroups<BytesRef>>

  Defines all collectors for retrieving the second phase and how to handle the collector result.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TopGroupsFieldCommand.Builder`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Collector>` | `create()` Returns a list of `Collector` instances to be included in the search based on the .
    `Sort` | `getGroupSort()`
    `String` | `getKey()`
    `Sort` | `getSortWithinGroup()`
    `TopGroups<BytesRef>` | `result()` Returns the results that the collectors created by `Command.create()` contain after a search has been executed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public List<Collector> create()
                                 throws IOException

      Description copied from interface: `Command`
      Returns a list of `Collector` instances to be included in the search based on the .
      Specified by:
        `create` in interface `Command<TopGroups<BytesRef>>`
      Returns:
        a list of `Collector` instances
      Throws:
        `IOException` - If I/O related errors occur

    - #### result

          public TopGroups<BytesRef> result()

      Description copied from interface: `Command`
      Returns the results that the collectors created by `Command.create()` contain after a search has been executed.
      Specified by:
        `result` in interface `Command<TopGroups<BytesRef>>`
      Returns:
        The results of the collectors

    - #### getKey

          public String getKey()

      Specified by:
        `getKey` in interface `Command<TopGroups<BytesRef>>`
      Returns:
        The key of this command to uniquely identify itself

    - #### getGroupSort

          public Sort getGroupSort()

      Specified by:
        `getGroupSort` in interface `Command<TopGroups<BytesRef>>`
      Returns:
        The group sort (overall sort)

    - #### getSortWithinGroup

          public Sort getSortWithinGroup()

      Specified by:
        `getSortWithinGroup` in interface `Command<TopGroups<BytesRef>>`
      Returns:
        The sort inside a group

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.